it.csi.mddtools.guigen

## Enum CustomCartridgeID

- java.lang.Object
- - java.lang.Enum<CustomCartridgeID>
  - - it.csi.mddtools.guigen.CustomCartridgeID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CustomCartridgeID>, org.eclipse.emf.common.util.Enumerator

      public enum CustomCartridgeID
      extends java.lang.Enum<CustomCartridgeID>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Custom Cartridge ID', and utility methods for working with them. Elenco dei codici che possono essere utilizzati per classificare le cartucce.
  - I valori PLATF_1 ... PLATF_5 sono riservati alle estensioni abilitanti all'utilizzo di una piattaforma (es. BPM-FLUX, ...). Queste estensioni sono realizzate da chi gestisce la piattaorma in congiunzione con il gruppo di competenza MDD.
  - I valori TECH_1 ... TECH_5 sono riservati alle estensioni specifiche di una determinata problematica tecnologica (es. accesso al DB, accesso a servizi,, ...) Queste estensioni sono realizzate da chi gestisce gli standard di sviluppo in congiunzione con il gruppo di competenza MDD.
  - I valori CUSTOM_1 ... CUSTOM_3 sono riservati alle estensioni specifiche di un determinato progetto tecnologica. Queste estensioni p'ossono essere realizzate dal gruppo di progetto con il supporto del gruppo di competenza MDD, ma sono da considerarsi feature AVANZATE, da utilizzare quando realmente necessario.
  See Also:
    `GuigenPackage.getCustomCartridgeID()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM_1` The 'CUSTOM 1' literal object
    `CUSTOM_2` The 'CUSTOM 2' literal object
    `CUSTOM_3` The 'CUSTOM 3' literal object
    `PLATF_1` The 'PLATF 1' literal object
    `PLATF_2` The 'PLATF 2' literal object
    `PLATF_3` The 'PLATF 3' literal object
    `PLATF_4` The 'PLATF 4' literal object
    `PLATF_5` The 'PLATF 5' literal object
    `TECH_1` The 'TECH 1' literal object
    `TECH_2` The 'TECH 2' literal object
    `TECH_3` The 'TECH 3' literal object
    `TECH_4` The 'TECH 4' literal object
    `TECH_5` The 'TECH 5' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOM_1_VALUE` The 'CUSTOM 1' literal value
    `static int` | `CUSTOM_2_VALUE` The 'CUSTOM 2' literal value
    `static int` | `CUSTOM_3_VALUE` The 'CUSTOM 3' literal value
    `static int` | `PLATF_1_VALUE` The 'PLATF 1' literal value
    `static int` | `PLATF_2_VALUE` The 'PLATF 2' literal value
    `static int` | `PLATF_3_VALUE` The 'PLATF 3' literal value
    `static int` | `PLATF_4_VALUE` The 'PLATF 4' literal value
    `static int` | `PLATF_5_VALUE` The 'PLATF 5' literal value
    `static int` | `TECH_1_VALUE` The 'TECH 1' literal value
    `static int` | `TECH_2_VALUE` The 'TECH 2' literal value
    `static int` | `TECH_3_VALUE` The 'TECH 3' literal value
    `static int` | `TECH_4_VALUE` The 'TECH 4' literal value
    `static int` | `TECH_5_VALUE` The 'TECH 5' literal value
    `static java.util.List<CustomCartridgeID>` | `VALUES` A public read-only list of all the 'Custom Cartridge ID' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CustomCartridgeID` | `get(int value)` Returns the 'Custom Cartridge ID' literal with the specified integer value
    `static CustomCartridgeID` | `get(java.lang.String literal)` Returns the 'Custom Cartridge ID' literal with the specified literal value
    `static CustomCartridgeID` | `getByName(java.lang.String name)` Returns the 'Custom Cartridge ID' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static CustomCartridgeID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CustomCartridgeID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLATF_1

          public static final CustomCartridgeID PLATF_1

      The 'PLATF 1' literal object.
      See Also:
        `PLATF_1_VALUE`

    - #### PLATF_2

          public static final CustomCartridgeID PLATF_2

      The 'PLATF 2' literal object.
      See Also:
        `PLATF_2_VALUE`

    - #### PLATF_3

          public static final CustomCartridgeID PLATF_3

      The 'PLATF 3' literal object.
      See Also:
        `PLATF_3_VALUE`

    - #### PLATF_4

          public static final CustomCartridgeID PLATF_4

      The 'PLATF 4' literal object.
      See Also:
        `PLATF_4_VALUE`

    - #### PLATF_5

          public static final CustomCartridgeID PLATF_5

      The 'PLATF 5' literal object.
      See Also:
        `PLATF_5_VALUE`

    - #### CUSTOM_1

          public static final CustomCartridgeID CUSTOM_1

      The 'CUSTOM 1' literal object.
      See Also:
        `CUSTOM_1_VALUE`

    - #### CUSTOM_2

          public static final CustomCartridgeID CUSTOM_2

      The 'CUSTOM 2' literal object.
      See Also:
        `CUSTOM_2_VALUE`

    - #### CUSTOM_3

          public static final CustomCartridgeID CUSTOM_3

      The 'CUSTOM 3' literal object.
      See Also:
        `CUSTOM_3_VALUE`

    - #### TECH_1

          public static final CustomCartridgeID TECH_1

      The 'TECH 1' literal object.
      See Also:
        `TECH_1_VALUE`

    - #### TECH_2

          public static final CustomCartridgeID TECH_2

      The 'TECH 2' literal object.
      See Also:
        `TECH_2_VALUE`

    - #### TECH_3

          public static final CustomCartridgeID TECH_3

      The 'TECH 3' literal object.
      See Also:
        `TECH_3_VALUE`

    - #### TECH_4

          public static final CustomCartridgeID TECH_4

      The 'TECH 4' literal object.
      See Also:
        `TECH_4_VALUE`

    - #### TECH_5

          public static final CustomCartridgeID TECH_5

      The 'TECH 5' literal object.
      See Also:
        `TECH_5_VALUE`

  - ### Field Detail

    - #### PLATF_1_VALUE

          public static final int PLATF_1_VALUE

      The 'PLATF 1' literal value.

      If the meaning of 'PLATF 1' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PLATF_1`, Constant Field Values

    - #### PLATF_2_VALUE

          public static final int PLATF_2_VALUE

      The 'PLATF 2' literal value.

      If the meaning of 'PLATF 2' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PLATF_2`, Constant Field Values

    - #### PLATF_3_VALUE

          public static final int PLATF_3_VALUE

      The 'PLATF 3' literal value.

      If the meaning of 'PLATF 3' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PLATF_3`, Constant Field Values

    - #### PLATF_4_VALUE

          public static final int PLATF_4_VALUE

      The 'PLATF 4' literal value.

      If the meaning of 'PLATF 4' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PLATF_4`, Constant Field Values

    - #### PLATF_5_VALUE

          public static final int PLATF_5_VALUE

      The 'PLATF 5' literal value.

      If the meaning of 'PLATF 5' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PLATF_5`, Constant Field Values

    - #### CUSTOM_1_VALUE

          public static final int CUSTOM_1_VALUE

      The 'CUSTOM 1' literal value.

      If the meaning of 'CUSTOM 1' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CUSTOM_1`, Constant Field Values

    - #### CUSTOM_2_VALUE

          public static final int CUSTOM_2_VALUE

      The 'CUSTOM 2' literal value.

      If the meaning of 'CUSTOM 2' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CUSTOM_2`, Constant Field Values

    - #### CUSTOM_3_VALUE

          public static final int CUSTOM_3_VALUE

      The 'CUSTOM 3' literal value.

      If the meaning of 'CUSTOM 3' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CUSTOM_3`, Constant Field Values

    - #### TECH_1_VALUE

          public static final int TECH_1_VALUE

      The 'TECH 1' literal value.

      If the meaning of 'TECH 1' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TECH_1`, Constant Field Values

    - #### TECH_2_VALUE

          public static final int TECH_2_VALUE

      The 'TECH 2' literal value.

      If the meaning of 'TECH 2' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TECH_2`, Constant Field Values

    - #### TECH_3_VALUE

          public static final int TECH_3_VALUE

      The 'TECH 3' literal value.

      If the meaning of 'TECH 3' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TECH_3`, Constant Field Values

    - #### TECH_4_VALUE

          public static final int TECH_4_VALUE

      The 'TECH 4' literal value.

      If the meaning of 'TECH 4' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TECH_4`, Constant Field Values

    - #### TECH_5_VALUE

          public static final int TECH_5_VALUE

      The 'TECH 5' literal value.

      If the meaning of 'TECH 5' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TECH_5`, Constant Field Values

    - #### VALUES

          public static final java.util.List<CustomCartridgeID> VALUES

      A public read-only list of all the 'Custom Cartridge ID' enumerators.

  - ### Method Detail

    - #### values

          public static CustomCartridgeID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CustomCartridgeID c : CustomCartridgeID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CustomCartridgeID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static CustomCartridgeID get(java.lang.String literal)

      Returns the 'Custom Cartridge ID' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static CustomCartridgeID getByName(java.lang.String name)

      Returns the 'Custom Cartridge ID' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static CustomCartridgeID get(int value)

      Returns the 'Custom Cartridge ID' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<CustomCartridgeID>`